Get Example Payload
curl --request POST \
--url https://actionkit.useparagon.com/projects/{project_id}/triggers/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"integration": "salesforce",
"parameters": {
"recordType": "Opportunity"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/triggers/examples"
payload = {
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"integration": "salesforce",
"parameters": { "recordType": "Opportunity" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'SALESFORCE_TRIGGER_RECORD_CREATED',
integration: 'salesforce',
parameters: {recordType: 'Opportunity'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/triggers/examples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "001xx000003DHP0AAO",
"name": "Sample Opportunity",
"amount": 50000,
"stage": "Prospecting",
"closeDate": "2025-12-31"
}
]Triggers API
Get Example Payload
Get example records for a trigger configuration.
POST
/
projects
/
{project_id}
/
triggers
/
examples
Get Example Payload
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Headers
Specify a credential ID when multiple accounts are connected for the same integration
Path Parameters
Your Paragon Project ID
Body
application/json
The trigger type identifier (e.g. SALESFORCE_TRIGGER_RECORD_CREATED).
Example:
"SALESFORCE_TRIGGER_RECORD_CREATED"
The integration name for the trigger (e.g. salesforce, hubspot).
Example:
"salesforce"
Trigger configuration parameters, same shape as parameters in Subscribe to a Trigger.
Example:
{ "recordType": "Opportunity" }Response
200 - application/json
Success - Returns array of example records that could be returned from the trigger
Was this page helpful?
⌘I